## helma.framework.core
Class RemoteApplication

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  helma.framework.core.RemoteApplication

All Implemented Interfaces:
  IRemoteApp, IReplicationListener, java.io.Serializable, java.rmi.Remote

    public class RemoteApplication

extends java.rmi.server.UnicastRemoteObject
implements IRemoteApp, IReplicationListener

Proxy class for Aplication that listens to requests via RMI.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteApplication(Application app)` Creates a new RemoteApplication object.

Method Summary
`ResponseTrans` `execute(RequestTrans req)` Execute a request coming in from a web client.
`void` `ping()` ping method to let clients know if the server is reachable
`void` `replicateCache(java.util.Vector add, java.util.Vector delete)` Update HopObjects in this application's cache.

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteApplication

    public RemoteApplication(Application app)
                      throws java.rmi.RemoteException

  Creates a new RemoteApplication object.

  Parameters:
    `app` - ...
  Throws:
    `java.rmi.RemoteException` - ...

Method Detail

### ping

    public void ping()

  ping method to let clients know if the server is reachable

  Specified by:
    `ping` in interface `IRemoteApp`

### execute

    public ResponseTrans execute(RequestTrans req)

  Execute a request coming in from a web client.

  Specified by:
    `execute` in interface `IRemoteApp`
  Parameters:
    `req` - ...
  Returns:
    ...

### replicateCache

    public void replicateCache(java.util.Vector add,
                               java.util.Vector delete)

  Update HopObjects in this application's cache. This is used to replicate application caches in a distributed app environment

  Specified by:
    `replicateCache` in interface `IReplicationListener`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.